.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 25px;
    width: 100%;
    background: var(--primary-background);
}

.navbar .logo {
    margin: 10px 0 0 30px;
}

.nav-links {
    display: flex;
    gap: 20px;
}

.nav-links a {
    text-decoration: none;
    color: var(--text-color);
    padding: 5px 10px;
    transition: all 0.3s ease;
}

.nav-links a:hover {
    color: var(--text-strong);
}

.nav-links a:active {
    color: var(--active-color);
}

.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
    width: 40px;
    height: 40px;
    justify-content: center;
    align-items: center;
    z-index: 1001;
}

.hamburger span {
    height: 4px;
    width: 30px;
    background: var(--text-color);
    margin: 5px 0;
    border-radius: 2px;
    transition: 0.4s;
    display: block;
}

@media (max-width: 1024px) {
    .nav-links {
        display: none;
        position: absolute;
        top: 70px;
        right: 0;
        background: var(--primary-background);
        flex-direction: column;
        width: 220px;
        box-shadow: 0 2px 10px var(--shadow-color);
        padding: 20px 0;
        z-index: 1000;
    }
    .nav-links.open {
        display: flex;
    }
    .navbar {
        position: relative;
        padding: 10px 10px;
    }
    .hamburger {
        display: flex;
    }
}

@media (max-width: 600px) {
    .nav-links {
        width: 100vw;
        right: 0;
        left: 0;
        top: 60px;
        padding: 30px 0;
    }
}